import getLogs from "../../utils/logs/getLogs";
import styles from "./LogFooter.module.css";

const LogFooter = ({ page, setLogs, setPage }) => {
  const navigateLogs = (page) => {
    getLogs(page).then((result) => {
      setLogs(result.logs);
      setPage(result.page);
    });
  };

  console.log(page.current);

  return (
    <div className={styles.footer}>
      <button
        onClick={() => navigateLogs(page.current - 1)}
        disabled={page.current < 2 && true}
      >
        Back
      </button>
      <div>
        {Array(page.total)
          .fill()
          .map((_, i) => i + 1)
          .map((p) => {
            return (
              <button
                key={p}
                onClick={() => navigateLogs(p)}
                style={{ color: page.current === p ? "#499557" : "#C4C4C4" }}
              >
                {p}
              </button>
            );
          })}
      </div>
      <button
        onClick={() => navigateLogs(page.current + 1)}
        disabled={page.current >= page.total && true}
      >
        Next
      </button>
    </div>
  );
};

export default LogFooter;
