import { useState, useEffect } from "react";
import Todo from "../../components/Todo/Todo";
import getTodos from "../../utils/todos/getTodos";
import styles from "./todos.module.css";
import Page from "../../components/Page/Page";
import CreateTodo from "../../components/CreateTodo";
import { todosContext } from "../../context";

export default function Todos() {
  const [todos, setTodos] = useState([]);
  const [page, setPage] = useState({});
  const [search, setSearch] = useState("");
  const [sortCategory, setSortCategory] = useState("");

  console.log(sortCategory, search);

  useEffect(() => {
    getTodos(1)
      .then((result) => {
        setTodos(result.todos);
        setPage(result.page);
      })
      .catch((err) => console.log(err));
  }, []);

  console.log(page.previous, page.current, page.next, page.total);
  console.log(todos);

  return (
    <todosContext.Provider
      value={{
        todos,
        setTodos,
        page,
        setPage,
        search,
        setSearch,
        sortCategory,
        setSortCategory,
      }}
    >
      <Page>
        <ul className={styles.todo_list}>
          {todos.map((todo) => (
            <Todo key={todo.id} todo={todo} />
          ))}
        </ul>
        <CreateTodo />
      </Page>
    </todosContext.Provider>
  );
}
